# $Revision: 1.43.2.4 $, $Date: 2004/12/22 11:50:51 $
#
# _without_lzw - without LZW compression (was patented in some countries)
Summary:	Library for handling TIFF files
Summary(de):	Library zum Verwalten von TIFF-Dateien
Summary(fr):	Bibliothque de gestion des fichiers TIFF
Summary(pl):	Bibliteka do manipulacji plikami w formacie TIFF
Summary(tr):	TIFF dosyalarn ileme kitapl
Name:		libtiff
Version:	3.5.7
Release:	2.1
License:	distributable
Group:		Libraries
Source0:	ftp://ftp.remotesensing.org/pub/libtiff/tiff-v%{version}.tar.gz
# Source0-md5:	82243b5ae9b7c9e492aeebc501680990
Source1:	ftp://ftp.remotesensing.org/pub/libtiff/%{name}-lzw-compression-kit-1.2.tar.gz
# Source1-md5:	bb8d85b3f29b78edf8a06a7831b4df31
Patch0:		tiff-shlib.patch
Patch1:		%{name}-libmess.patch
Patch2:		%{name}-security.patch
URL:		http://www.libtiff.org/
BuildRequires:	automake
BuildRequires:	libjpeg-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package is a library of functions that manipulate TIFF images.

%description -l de
Eine Library von Funktionen zur Manipulation von TIFFs.

%description -l fr
Bibliothque de fonctions pour manipuler des images TIFF.

%description -l pl
Ten pakiet zawiera bibliotek pozalajce manipulowa plikami w
formacie TIFF.

%description -l tr
Bu paket TIFF resimlerini ileyen fonksiyonlardan oluan bir
kitaplktr.

%package devel
Summary:	header files for developing programs using libtiff
Summary(de):	Header zur Entwicklung von Programmen unter Verwendung von libtiff
Summary(pl):	Pliki nagwkowe do biblioteki libtiff
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package is all you need to develop programs that manipulate tiff
images.

%description devel -l de
Dieses Paket enthlt alles, was Sie zum Entwickeln von Programmen zum
Bearbeiten von tiff-Bildern bentigen.

%description devel -l fr
Ce package contient tout le ncessaire pour raliser des programmes
manipulant des images au format tiff.

%description devel -l pl
Pakiet ten zawiera wszystko co potrzebujesz przy pisaniu programw
operujcych na formacie tiff.

%description devel -l tr
tiff resimlerini ileyen programlar yazmak iin gerekli dosyalar bu
pakette yer alr.

%package progs
Summary:	Simple clients for manipulating tiff images
Summary(de):	Einfachen Clients zur Manipulation von tiff
Summary(fr):	Clients simples pour manipuler de telles images
Summary(pl):	Kilka prostych programw do manipulowania na plikach tiff
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description progs
Simple clients for manipulating tiff images.

%description progs -l de
Einfachen Clients zur Manipulation von tiff.

%description progs -l fr
Clients simples pour manipuler de telles images.

%description progs -l pl
Kilka prostych programw do manipulowania na plikach tiff.

%package static
Summary:	Static version libtiff library
Summary(pl):	Biblioteka statyczna libtiff
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libtiff library.

%description static -l pl
Statyczna biblioteka libtiff.

%prep
%setup -q -n tiff-v%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%if %{?_without_lzw:0}%{!?_without_lzw:1}
tar xzf %{SOURCE1}
cp -f libtiff-lzw-compression-kit/*.c libtiff
cp -f libtiff-lzw-compression-kit/README-LZW-COMPRESSION .
libtiff-lzw-compression-kit/mangle-src.sh `pwd`
%endif

%build
install /usr/share/automake/config.* .
./configure %{_target_platform} \
	--with-ZIP \
	--with-JPEG \
	--noninteractive \
	--prefix=$RPM_BUILD_ROOT%{_prefix} \
	--with-DIR_MAN=$RPM_BUILD_ROOT%{_mandir} \
	--with-DIR_HTML=$RPM_BUILD_ROOT/fake \
	--with-MANSCHEME=bsd-source-cat

ln -sf libtiff.so.%{version} libtiff/libtiff.so
%{__make} -C libtiff \
	OPTIMIZER="%{rpmcflags}" \
	CC="%{__cc}" \
	COPTS=""
%{__make} -C tools \
	OPTIMIZER="%{rpmcflags}" \
	CC="%{__cc}" \
	COPTS=""

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir},%{_bindir},%{_mandir}/man1}

%{__make} install
install libtiff/lib*.so.*.* $RPM_BUILD_ROOT%{_libdir}

ln -sf libtiff.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libtiff.so

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYRIGHT README* TODO
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc html/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*
%{_mandir}/man3/*

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libtiff.spec,v $
Revision 1.43.2.4  2004/12/22 11:50:51  hawk
- release 2.1 to rebuild with updated security patch, fix for CAN-2004-1308

Revision 1.43.2.3  2004/10/18 15:32:43  qboosh
- added security patch (CAN-2004-0803 CAN-2004-0804 CAN-2004-0886)
- some spec updates, removed obsolete arm,config patches, release 2

Revision 1.43.2.2  2004/02/06 14:37:23  twittner
- md5

Revision 1.43.2.1  2003/07/11 12:01:47  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.43  2002/03/05 18:17:03  filon
- updated to 3.5.7 full release
- use more macros
- fixed make flags

Revision 1.42  2002/03/02 09:00:22  misiek
- update config.* scripts (for ppc)

Revision 1.41  2002/02/23 03:36:23  kloczek
- adapterized.

Revision 1.40  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.39  2002/02/02 20:26:18  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.38  2002/02/01 14:52:55  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.37  2002/01/18 02:13:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.36  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.35  2001/06/16 12:40:50  kloczek
- adapterized and few cosmetics.

Revision 1.34  2001/06/14 20:05:28  qboosh
- updated to v3.5.6-beta, updated URLs
- added LZW compression (conditional - patents in some countries)
- enabled JPEG and ZIP compression
- removed obsolete glibc patch, added patch to fix lib mess
- use non-interactive configure
- moved base docs (license etc.) to base package

Revision 1.33  2001/05/02 16:29:08  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.32  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.31  2000/06/07 03:33:09  kloczek
- spec adapterized.

Revision 1.30  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.29  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.28  2000/01/21 00:36:54  kloczek
- typo.

Revision 1.27  2000/01/21 00:29:16  kloczek
- added stripping binaries.

Revision 1.26  2000/01/20 23:23:59  kloczek
- release 2 (in rawhide is 1),
- cosmetics.

Revision 1.25  2000/01/20 23:00:28  pius
- small fixes in config

Revision 1.24  2000/01/20 22:38:28  pius
- added fake dir to config options

Revision 1.23  2000/01/20 22:32:45  pius
- updated to 3.5.4

Revision 1.22  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon May 24 1999 Artur Frysiak <wiget@pld.org.pl>
  [3.4-10]
- based on RH spec
- rewrite to PLD style (by PLD team)
- pl translation by Wojtek lusarczyk <wojtek@shadow.eu.org>
